<?php
   // CVS Information
   //
   // $Id: Control-Panel.php,v 1.4 2000/09/10 16:37:10 keird Exp $
   // 
   // $Log: Control-Panel.php,v $
   // Revision 1.4  2000/09/10 16:37:10  keird
   // Added feature to let user view all new threads and all threads with new
   // posts for a board on a single page.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   //Make database connection
   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "Control-Panel.php";

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
   if ($user_object->userLevel != 2) {
      header("Location: Login.php?userMessage=denied&destURL=" . $destURL);
      exit;
   }
?>

<html>
<head>
<title>
<?php echo(_XFORUM_NAME . " Bulletin Boards"); ?>
</title>
</head>

<?php 
   xforum_setBodyAttributes();
   xforum_displayHeader($user_object->userID, $destURL);
?>
<br>
<?php echo("<font size=\"6\" face=\"" . _BOARD_FONT_FACE . "\">"); ?><b><center>Control-Panel</center></b></font>
<?php xforum_setFontAttributes(); ?>
<?php echo("<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"" . _TABLE_BORDER_COLOR . "\">"); ?>   
   <tr><td>
      <table width="100%" border="0" cellspacing="1" cellpadding="4">   
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td width="15%" valign="top">
            <?php
               xforum_setFontAttributes();
               echo(xforum_getControlPanelMenu());
               echo("</font>");
            ?></td>
            <td width="85%" valign="top">
               <?php xforum_setFontAttributes(); ?>
               <big>These users are awaiting approval...</big><br>
               <?php $userList[] = new CUser;
                     xforum_getUserList($link, $userList, "0", "RegisterDate");
                     $num_elements = count($userList);?>
               <?php if ($num_elements <= 1): ?>
                  <br>
                  <strong>There are currently no users awaiting approval...</strong><br>
               <?php else: ?>
                  <table border="1">
                     <tr>
                        <th>Username</th>
                        <th>Nickname</th>
                        <th>EMail</th>
                        <th>Register Date</th>
                        <th>Comments</th>
                        <th></th>
                        <th></th>
                     </tr>
                     <?php
                        for ($indx = 1; $indx < $num_elements; $indx++) {
                           echo("<tr>");
                           echo("<td>" . $userList[$indx]->username . "</td>");
                           echo("<td>" . $userList[$indx]->nickname . "</td>");
                           echo("<td>" . $userList[$indx]->email . "</td>");
                           echo("<td>" . $userList[$indx]->registerDate . "</td>");
                           echo("<td>");
                           if (strlen($userList[$indx]->comments) > 25)
                              echo(substr($userList[$indx]->comments, 0, 25) . "...");
                           else
                              echo($userList[$indx]->comments);
                           echo("</td>");
                           echo("<td><a href=\"AcceptUser.php?userID=" . $userList[$indx]->userID . "\">" . Accept . "</a></td>");
                           echo("<td><a href=\"RejectUser.php?userID=" . $userList[$indx]->userID . "\">" . Reject . "</a></td>");
                           echo("</tr>");
                        }
                      ?>
                  </table>
               <?php endif ?>
               <br>
               <br>
               <big>These threads are awaiting approval...</big><br>
               <?php $threadList[] = new CThread;
                     $categoryList[] = new CCategory;
                     xforum_getCategoryList($link, $categoryList);
                     $num_elements = count($categoryList);
                     for ($indx = 1; $indx < $num_elements; $indx++) {
                        xforum_getThreadList($link, $categoryList[$indx]->categoryID, $threadList, "0", "ThreadID, Posted");   
                     }
                     $num_elements = count($threadList);
                     unset($categoryList);
               ?>
               <?php if ($num_elements <= 1): ?>
                  <br>
                  <strong>There are currently no threads awaiting approval...</strong><br>
               <?php else: ?>
                  <table border="1">
                     <tr>
                        <th>Category</th>
                        <th>Posted By</th>
                        <th>Subject</th>
                        <th>Posted Date</th>
                        <th>Body</th>
                        <th colspan="2">Action</th>
                        <th></th>
                     </tr>
                     <?php
                        for ($indx = 1; $indx < $num_elements; $indx++) {
                           echo("<tr>");
                           $category_object = xforum_getCategoryByID($link, $threadList[$indx]->categoryID);
                           echo("<td>" . $category_object->categoryName . "</td>");
                           $user_object = xforum_getUserByID($link, $threadList[$indx]->userID);
                           echo("<td>" . $user_object->nickname . "</td>");
                           echo("<td>" . $threadList[$indx]->subject . "</td>");
                           echo("<td>" . $threadList[$indx]->posted . "</td>");
                           echo("<td>");
                           $displayBody = strip_tags($threadList[$indx]->body);
                           if (strlen($displayBody) > 25)
                              echo(substr($displayBody, 0, 25) . "...");
                           else
                              echo($displayBody);
                           echo("</td>");
                           echo("<td><a href=\"AcceptThread.php?categoryID=" . $threadList[$indx]->categoryID . "&threadID=" . $threadList[$indx]->threadID . "&destURL=Control-Panel.php\">" . Accept . "</a></td>");
                           echo("<td><a href=\"RejectThread.php?categoryID=" . $threadList[$indx]->categoryID . "&threadID=" . $threadList[$indx]->threadID . "&destURL=Control-Panel.php\">" . Reject . "</a></td>");
                           echo("</tr>");
                        }
                     ?>
                  </table>
               <?php endif ?>
               <br>
               <br>
               <big>These posts are awaiting approval...</big><br>
               <?php $postList[] = new CPost;
                     $categoryList[] = new CCategory;
                     xforum_getCategoryList($link, $categoryList);
                     $num_elements = count($categoryList);
                     for ($indx = 1; $indx < $num_elements; $indx++) {
                        xforum_getPostList($link, $categoryList[$indx]->categoryID, $postList, "0", "Posted");   
                     }
                     $num_elements = count($postList);
                     unset($categoryList);
               ?>
               <?php if ($num_elements <= 1): ?>
                  <br>
                  <strong>There are currently no posts awaiting approval...</strong><br>
               <?php else: ?>
                  <table border="1">
                     <tr>
                        <th>Category</th>
                        <th>Thread</th>
                        <th>Posted By</th>
                        <th>Posted Date</th>
                        <th>Body</th>
                        <th></th>
                        <th></th>
                     </tr>
                     <?php
                        for ($indx = 1; $indx < $num_elements; $indx++) {
                           echo("<tr>");
                           $category_object = xforum_getCategoryByID($link, $postList[$indx]->categoryID);
                           echo("<td>" . $category_object->categoryName . "</td>");
                           $thread_object = xforum_getThreadByID($link, $postList[$indx]->categoryID, $postList[$indx]->threadID);
                           echo("<td>" . $thread_object->subject . "</td>");
                           $user_object = xforum_getUserByID($link, $postList[$indx]->userID);
                           echo("<td>" . $user_object->nickname . "</td>");
                           echo("<td>" . $postList[$indx]->posted . "</td>");
                           echo("<td>");
                           $displayBody = strip_tags($postList[$indx]->body);
                           if (strlen($displayBody) > 25)
                              echo(substr($displayBody, 0, 25) . "...");
                           else
                              echo($displayBody);
                           echo("</td>");
                           echo("<td><a href=\"AcceptPost.php?categoryID=" . $postList[$indx]->categoryID . "&replyID=" . $postList[$indx]->replyID . "&destURL=Control-Panel.php\">" . Accept . "</a></td>");
                           echo("<td><a href=\"RejectPost.php?categoryID=" . $postList[$indx]->categoryID . "&replyID=" . $postList[$indx]->replyID . "&destURL=Control-Panel.php\">" . Reject . "</a></td>");
                           echo("</tr>");
                        }
                     ?>
                  </table>
               <?php endif ?>
               </font>
            </td>
         </tr>
      </table>
   </td>
   </tr>
</table>
</font>
</body>
</html>
