<?php
   // CVS Information
   //
   // $Id: PostReply.php,v 1.7 2000/08/23 01:01:36 keird Exp $
   // 
   // $Log: PostReply.php,v $
   // Revision 1.7  2000/08/23 01:01:36  keird
   // Changed thread reply to allow user to see the post that he/she is replying
   // to.
   //
   // Revision 1.6  2000/08/09 01:16:31  keird
   // Added ability for those posting replies to a thread to have email
   // notification whenever new replies are posted.
   //
   // Revision 1.5  2000/07/10 02:29:22  keird
   // Moved printing of X-Forum header, user menu, lastlogin, and icon legend to
   // Common.php.
   //
   // Revision 1.4  2000/07/01 17:04:14  keird
   // Fixed various bugs.
   // Added headers to login and view profile pages.
   // Started making install pages and added install directory.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   //Make database connection
   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "PostReply.php?boardID=" . $boardID . "%26categoryID=" . $categoryID . "%26threadID=" . $threadID;

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
   $board_object = xforum_getBoardByID($link, $boardID);
   $category_object = xforum_getCategoryByID($link, $categoryID);
   $thread_object = xforum_getThreadByID($link, $categoryID, $threadID);
   if (isset($replyID)) {
      $post_object = xforum_getPostByID($link, $categoryID, $replyID);
      $replyToMessage = $post_object->body;
   } else
      $replyToMessage = $thread_object->body;
?>

<html>
<head>
<title>
<?php
   echo("Post Reply To " . $thread_object->subject);
?>
</title>
</head>

<?php if ($user_object->userLevel == 0 || $user_object->status != 1): ?>

   <html>
   <head>
   <title>
      Sorry...
   </title>
   </head>

   <?php echo("<body bgcolor=\"" . _BOARD_BACKGROUND_COLOR . "\" text=\"" . _BOARD_TEXT_COLOR . "\" link=\"" . _BOARD_LINK_COLOR . "\" vlink=\"" . _BOARD_LINK_COLOR . "\" alink=\"" . _BOARD_LINK_COLOR . "\" leftmargin=\"0\" topmargin=\"0\" marginheight=\"0\" marginwidth=\"0\">"); ?>
   <?php echo("<font face=\"" . _BOARD_FONT_FACE . "\">"); ?>
   <font size="4"><b>
      <?php if ($user_object->userLevel == 0): ?>
         <big>Sorry, guests cannot post.</big>
      <?php else: ?>
         <big>Sorry, your account is not active.</big>
      <?php endif ?>
   </font>
   </font>
   </body>
   </html>

<?php else: ?>

   <html>
   <head>
   <title>
   <?php
      echo("Post Reply To " . $thread_object->subject);
   ?>
   </title>
   </head>
   
   <?php 
      xforum_setBodyAttributes();
      xforum_setFontAttributes();
      xforum_displayHeader($user_object->userID, $destURL);
   ?>
   <br>
   <font size="4"><b>
   <?php
      echo("<a href=\"Boards.php\">Index</a>/<a href=\"Categories.php?boardID=" . $board_object->boardID . "\">" . $board_object->boardName . "</a>/");
      echo("<a href=\"Threads.php?boardID=" . $board_object->boardID . "&categoryID=" . $category_object->categoryID . "\">" . $category_object->categoryName . "</a>/");
      echo($thread_object->subject);
   ?>
   </b></font>
   <form method="POST" action="SaveNewReply.php">
   <?php echo("<input type=\"hidden\" name=\"boardID\" value=\"" . $boardID . "\">"); ?>
   <?php echo("<input type=\"hidden\" name=\"categoryID\" value=\"" . $categoryID . "\">"); ?>
   <?php echo("<input type=\"hidden\" name=\"threadID\" value=\"" . $threadID . "\">"); ?>
   <?php echo("<input type=\"hidden\" name=\"userID\" value=\"" . $user_object->userID . "\">"); ?>
   <?php echo("<table width=\"60%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"" . _TABLE_BORDER_COLOR . "\">"); ?>
      <tr><td>
         <table width="100%" border="0" cellspacing="1" cellpadding="4">   
            <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>   
               <td width="10%">Thread:</td>
               <?php echo("<td width=\"70%\">Index/" . $board_object->boardName . "/" . $category_object->categoryName . "/" . $thread_object->subject . "</td>"); ?>
            </tr>
            <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>   
               <td width="10%">Icon:</td>
               <td>
                  <?php echo("<table width=\"" . _ICONS_PER_ROW * 10 . "%\" border=\"0\" cellspacing=\"1\" cellpadding=\"4\">"); ?>   
                     <?php $icons = xforum_getIconList();
                           $lastRow = count($icons) % _ICONS_PER_ROW;
                           $numRows = count($icons) / _ICONS_PER_ROW;
                           settype($numRows, "integer");
                           for ($row = 0; $row < $numRows; $row++) {
                              echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">");
                              for ($col = 0; $col < _ICONS_PER_ROW; $col++) {
                                 echo("<td width=\"10%\">");
                                 echo("<input type=\"radio\" name=\"icon\" value=\"" . $icons[$row * _ICONS_PER_ROW + $col] . "\"");
                                 if ($row == 0 && $col == 0)
                                    echo(" checked");
                                 echo(">");
                                 if ($icons[$row * _ICONS_PER_ROW + $col] == "")
                                    echo("<img border=\"0\" src=\"blank.gif\">");
                                 else
                                    echo("<img border=\"0\" src=\"" . _DIR_ICONS . "/" . $icons[$row * _ICONS_PER_ROW + $col] . "\">");
                                 echo("</td>");
                              }
                              echo("</tr>");
                           }
                           for ($col = 0; $col < $lastRow; $col++) {
                              echo("<td width=\"10%\">");
                              echo("<input type=\"radio\" name=\"icon\" value=\"" . $icons[$numRows * _ICONS_PER_ROW + $col] . "\"");
                              if ($numRows == 0 && $col == 0)
                                 echo(" checked");
                              echo(">");
                              if ($icons[$numRows * _ICONS_PER_ROW + $col] == "")
                                 echo("<img border=\"0\" src=\"blank.gif\">");
                              else
                                 echo("<img border=\"0\" src=\"" . _DIR_ICONS . "/" . $icons[$numRows * _ICONS_PER_ROW + $col] . "\">");
                              echo("</td>");
                           }
                     ?>
                  </table>
               </td>
            </tr>
            <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
               <td valign="top">Reply To Post:</td>
               <td><?php echo(nl2br($replyToMessage)); ?></td>
            </tr>
            <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
               <td>Notification:</td>
               <td><input type="checkbox" name="notify" value="ON"> Send me email when replies are posted to this thread.</td>
            </tr>
            <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
               <td valign="top">Message:</td>
               <td><textarea rows="20" cols="70" name="body" wrap="soft"></textarea></td>
            </tr>
            <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
               <td colspan="2" align="center"><input type="submit" value="Post Reply" name="SubmitButton"></td>
            </tr>
         </table>
      </td></tr>
   </table>
   </form>
   </font>
   </body> 
   </html>

<?php endif ?>
