<?php
   // CVS Information
   //
   // $Id: SaveConfig.php,v 1.4 2001/01/01 16:40:10 keird Exp $
   // 
   // $Log: SaveConfig.php,v $
   // Revision 1.4  2001/01/01 16:40:10  keird
   // Added extra security by checking for login for everything.
   // Direct URL manipulation should no longer work to gain admin access.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   //Make database connection
   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "Configure.php";

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
   if ($user_object->userLevel != 2) {
      header("Location: Login.php?userMessage=denied&destURL=" . $destURL);
      exit;
   }

   $file = fopen("Config.php", "w");
   if (!$file) {
      echo("ERROR - Couldn't create Config.php");
      exit;
   }

   fputs($file, "<?php\n");
   fputs($file, "   //Database configs\n");
   fputs($file, "   define(\"_MYSQL_SERVER_NAME\", \"" . $serverName . "\");\n");
   fputs($file, "   define(\"_MYSQL_USER_NAME\", \"" . $userName . "\");\n");
   fputs($file, "   define(\"_MYSQL_PASSWORD\", \"" . $password . "\");\n");
   fputs($file, "   define(\"_MYSQL_DATABASE_NAME\", \"" . $databaseName . "\");\n");
   fputs($file, "\n");
   fputs($file, "   //Directories\n");
   fputs($file, "   define(\"_DIR_ICONS\", \"" . $iconsDir . "\");\n");
   fputs($file, "   define(\"_DIR_BUTTONS\", \"" . $buttonsDir . "\");\n");
   fputs($file, "\n");
   fputs($file, "   //New user configs\n");
   fputs($file, "   define(\"_REQUIRE_EMAIL_PASSWORD\", " . $emailPassword . ");\n");
   fputs($file, "   define(\"_REQUIRE_UNIQUE_EMAIL\", " . $uniqueEMail . ");\n");
   fputs($file, "   define(\"_NEW_MEMBER_LEVEL\", " . $memberLevel . "); //0=guest  1=member  2=admin\n");  
   fputs($file, "   define(\"_NEW_MEMBER_GROUPID\", " . $memberGroup . ");\n");
   fputs($file, "   define(\"_NEW_MEMBER_STATUS\", " . $memberStatus . "); //0=unapproved  1=active  2=suspended\n"); 
   fputs($file, "\n");
   fputs($file, "   //Posting configs\n");
   fputs($file, "   define(\"_NEW_THREAD_STATUS\", " . $threadStatus . "); //0=unapproved 1=approved\n"); 
   fputs($file, "   define(\"_NEW_POST_STATUS\", " . $postStatus . "); //0=unapproved 1=approved\n"); 
   fputs($file, "\n");
   fputs($file, "   //Style configs\n");
   fputs($file, "   define(\"_XFORUM_NAME\", \"" . $forumName . "\");\n");
   fputs($file, "   define(\"_ICONS_PER_ROW\", " . $iconsPerRow . ");\n");
   fputs($file, "   define(\"_IMAGE_BOARD\", \"" . $boardImage . "\");\n");
   fputs($file, "   define(\"_IMAGE_BOARD_NEW\", \"" . $boardImageNew . "\");\n");
   fputs($file, "   define(\"_IMAGE_CATEGORY\", \"" . $categoryImage . "\");\n");
   fputs($file, "   define(\"_IMAGE_CATEGORY_NEW\", \"" . $categoryImageNew . "\");\n");
   fputs($file, "   define(\"_IMAGE_THREAD\", \"" . $threadImage . "\");\n");
   fputs($file, "   define(\"_IMAGE_THREAD_NEW\", \"" . $threadImageNew . "\");\n");
   fputs($file, "   define(\"_BOARD_BACKGROUND_COLOR\", \"" . $backColor . "\");\n");
   fputs($file, "   define(\"_BOARD_TEXT_COLOR\", \"" . $textColor . "\");\n");
   fputs($file, "   define(\"_BOARD_FONT_FACE\", \"" . $fontFace . "\");\n");
   fputs($file, "   define(\"_BOARD_LINK_COLOR\", \"" . $linkColor . "\");\n");
   fputs($file, "   define(\"_TABLE_BORDER_COLOR\", \"" . $borderColor . "\");\n");
   fputs($file, "   define(\"_TABLE_TITLE_BACKGROUND_COLOR\", \"" . $titleColor . "\");\n");
   fputs($file, "   define(\"_TABLE_BODY_BACKGROUND_COLOR\", \"" . $bodyColor . "\");\n");
   fputs($file, "\n");
   fputs($file, "   //Misc\n");
   fputs($file, "   define(\"_XFORUM_ADMIN_EMAIL\", \"" . $adminEMail . "\");\n");
   fputs($file, "   define(\"_XFORUM_LOGOUT_URL\", \"" . $logoutURL . "\");\n");
   fputs($file, "?>\n");
   fclose($file);
   header("Location: Configure.php");
?>
