<?php
   // CVS Information
   //
   // $Id: ViewThread.php,v 1.7 2000/08/23 01:01:36 keird Exp $
   // 
   // $Log: ViewThread.php,v $
   // Revision 1.7  2000/08/23 01:01:36  keird
   // Changed thread reply to allow user to see the post that he/she is replying
   // to.
   //
   // Revision 1.6  2000/08/06 23:28:44  keird
   // Added ability to delete threads and posts.  This is only available to
   // the category moderator or forum admin.
   //
   // Revision 1.5  2000/07/10 02:29:22  keird
   // Moved printing of X-Forum header, user menu, lastlogin, and icon legend to
   // Common.php.
   //
   // Revision 1.4  2000/07/01 20:29:36  keird
   // Added CloseThread functionality.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "ViewThread.php?boardID=" . $boardID . "%26categoryID=" . $categoryID . "%26threadID=" . $threadID;

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
   $board_object = xforum_getBoardByID($link, $boardID);
   $category_object = xforum_getCategoryByID($link, $categoryID);
   $thread_object = xforum_getThreadByID($link, $categoryID, $threadID);
   $author_object = xforum_getUserByID($link, $thread_object->userID);
?>

<html>
<head>
<title>
<?php
   echo("View Thread");
?>
</title>
</head>

<?php 
   xforum_setBodyAttributes();
   xforum_setFontAttributes();
   xforum_displayHeader($user_object->userID, $destURL);
?>
<br>
<font size="4"><b>
<?php
   echo("<a href=\"Boards.php\">Index</a>/<a href=\"Categories.php?boardID=" . $board_object->boardID . "\">" . $board_object->boardName . "</a>/");
   echo("<a href=\"Threads.php?boardID=" . $board_object->boardID . "&categoryID=" . $category_object->categoryID . "\">" . $category_object->categoryName . "</a>"); ?>
</b></font>
<?php echo("<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"" . _TABLE_BORDER_COLOR . "\">"); ?>
   <tr><td>
      <table width="100%" border="0" cellspacing="1" cellpadding="4">   
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td width="15%"><font size="2">Author</font></td>
            <?php if (!$thread_object->open) 
                     echo("<td width=\"75%\"><font size=\"2\">Post</font></td><td align=\"center\" width=\"10%\">Closed Thread</td>");
                  else
                     echo("<td colspan=\"2\"><font size=\"2\">Post</font></td>");
            ?>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_TITLE_BACKGROUND_COLOR . "\"><td colspan=\"3\"><font size=\"4\">" . $thread_object->subject . "</font></td></tr>"); ?>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td valign="top">
               <?php echo("<font size=\"2\"><a href=\"mailto: " . $author_object->email . "\">" . $author_object->nickname . "</a></font><br>"); ?>
               <?php echo("<font size=\"1\">");
                     switch ($author_object->userLevel) {
                     case 0:  echo("Guest");
                              break;
                     case 1:  echo("Member");
                              break;
                     case 2:  echo("Admin");
                              break;
                     }
                     echo(" level</font><br>");
                     echo("<font size=\"1\">in the " . xforum_getGroupNameByID($link, $author_object->groupID) . " group</font><br><br>");
                     echo("<a href=\"mailto: " . $author_object->email . "\"><img alt=\"EMail Thread Author\" border=\"0\" src=\"" . _DIR_BUTTONS . "/email.png\"></a> ");
                     echo("<a href=\"ViewProfile.php?viewID=" . $author_object->userID . "\"><img border=\"0\" src=\"" . _DIR_BUTTONS . "/profile.png\"></a>");
                     echo("<br><br>");
               ?> 
            </td>
            <td valign="top" colspan="2">
               <table width="100%" border="0">
                  <?php 
                     echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">");
                     echo("<td width=\"70%\">");
                     if ($thread_object->icon != "")
                        echo("<img border=\"0\" src=\"" . _DIR_ICONS . "/" . $thread_object->icon . "\">");
                     echo("<font size=\"1\">Posted: " . $thread_object->posted . "</font><br><br>");
                     echo("</td>");
                     echo("<td width=\"30%\" align=\"right\">");
                     if ($thread_object->open) 
                        echo("<a href=\"PostReply.php?boardID=" . $boardID . "&categoryID=" . $categoryID . "&threadID=" . $threadID . "\"><img border=\"0\" src=\"" . _DIR_BUTTONS . "/reply.png\"></a> ");
                     if ($thread_object->userID == $user_object->userID || $user_object->userLevel == 2 || $category_object->moderatorID == $user_object->userID) {
                        if ($user_object->userLevel == 2 || $category_object->moderatorID == $user_object->userID) {
                           echo("<a href=\"DeleteThread.php?boardID=" . $board_object->boardID . "&categoryID=" . $category_object->categoryID);
                           echo("&threadID=" . $thread_object->threadID . "\"><img border=\"0\" src=\"" . _DIR_BUTTONS . "/delete.png\"></a> ");   
                        } 
                        echo("<a href=\"ModifyThread.php?boardID=" . $board_object->boardID . "&categoryID=" . $category_object->categoryID);
                        echo("&threadID=" . $thread_object->threadID . "\"><img border=\"0\" src=\"" . _DIR_BUTTONS . "/modify.png\"></a>"); 
                     }
                     echo("</td>");
                     echo("</tr>");
                     echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">");
                     if ($thread_object->authorID == $user_object->userID || $user_object->userLevel == 2 || $category_object->moderatorID == $user_object->userID)
                        echo("<td colspan=\"2\">");
                     else
                        echo("<td>");
                     echo("<font size=\"2\">" . nl2br($thread_object->body) . "</font>");
                     echo("</td>");
                     echo("</tr>");
                  ?>
               </table>
            </td>
         </tr>
         <?php
            $replyAuthor_object = new CUser;
            $post_object[] = new CPost;
            xforum_getPostListByThread($link, $categoryID, $threadID, $post_object, "1", "Posted");
            $num_elements = count($post_object);
            for ($indx = 1; $indx < $num_elements; $indx++) {
               $replyAuthor_object = xforum_getUserByID($link, $post_object[$indx]->userID);
               echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">");
               echo("<td valign=\"top\"><font size=\"2\"><a href=\"mailto: " . $replyAuthor_object->email . "\">" . $replyAuthor_object->nickname . "</a></font><br>");
               echo("<font size=\"1\">");
               switch ($replyAuthor_object->userLevel) {
               case 0:  echo("Guest");
                        break;
               case 1:  echo("Member");
                        break;
               case 2:  echo("Admin");
                        break;
               }
               echo(" level</font><br>");
               echo("<font size=\"1\">in the " . xforum_getGroupNameByID($link, $replyAuthor_object->groupID) . " group</font><br><br>");
               echo("<a href=\"mailto: " . $replyAuthor_object->email . "\"><img alt=\"EMail Reply Author\" border=\"0\" src=\"" . _DIR_BUTTONS . "/email.png\"></a> ");
               echo("<a href=\"ViewProfile.php?viewID=" . $replyAuthor_object->userID . "\"><img border=\"0\" src=\"" . _DIR_BUTTONS . "/profile.png\"></a>");
               echo("<br><br>");
               echo("</td>");
               echo("<td valign=\"top\" colspan=\"2\">");
               echo("<table width=\"100%\" border=\"0\">");
               echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">");
               echo("<td width=\"70%\">");
               if ($post_object[$indx]->icon != "")
                  echo("<img border=\"0\" src=\"" . _DIR_ICONS . "/" . $post_object[$indx]->icon . "\">");
               echo("<font size=\"1\">Posted: " . $post_object[$indx]->posted . "</font><br><br>");
               echo("</td>");
               echo("<td align=\"right\" width=\"30%\">");
               if ($thread_object->open) 
                  echo("<a href=\"PostReply.php?boardID=" . $boardID . "&categoryID=" . $categoryID . "&threadID=" . $threadID . "&replyID=" . $post_object[$indx]->replyID . "\"><img border=\"0\" src=\"" . _DIR_BUTTONS . "/reply.png\"></a> ");
               if ($replyAuthor_object->userID == $user_object->userID || $user_object->userLevel == 2 || $category_object->moderatorID == $user_object->userID) {
                  if ($user_object->userLevel == 2 || $category_object->moderatorID == $user_object->userID) {
                     echo("<a href=\"DeleteThread.php?boardID=" . $board_object->boardID . "&categoryID=" . $categoryID . "&threadID=" . $threadID);
                     echo("&replyID=" . $post_object[$indx]->replyID . "\"><img border=\"0\" src=\"" . _DIR_BUTTONS . "/delete.png\"></a> ");
                  }
                  echo("<a href=\"ModifyThread.php?boardID=" . $board_object->boardID . "&categoryID=" . $categoryID . "&threadID=" . $threadID);
                  echo("&replyID=" . $post_object[$indx]->replyID . "\"><img border=\"0\" src=\"" . _DIR_BUTTONS . "/modify.png\"></a>");
               }
               echo("</td>");
               echo("</tr>");
               echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">");
               if ($replyAuthor_object->userID == $user_object->userID || $user_object->userLevel == 2 || $category_object->moderatorID == $user_object->userID) {
                  echo("<td colspan=\"2\">");
               } else {
                  echo("<td>");
               }
               echo("<font size=\"2\">" . nl2br($post_object[$indx]->body) . "</font><br><br></td>");
               echo("</tr>");
               echo("</table>");
            }
            if (!$thread_object->open) {
               xforum_displayLastLogin($user_object->lastLogin, 2, FALSE);
               echo("<td align=\"center\" width=\"10%\">Closed Thread</td>");
            }  else
               xforum_displayLastLogin($user_object->lastLogin, 3, FALSE);   
            echo("</tr>");
         ?>
      </table>
   </td></tr>
</table>
<br>
</font>
</body>
</html>
